import { Region } from 'regionize';
import { HierarchyEntry } from '../types';
declare class HierarchyToHeadingAdapter {
    getHierarchy: () => HierarchyEntry[];
    constructor(getter: () => HierarchyEntry[]);
    textFor(sel: string): string | undefined;
    get h1(): string | undefined;
    get h2(): string | undefined;
    get h3(): string | undefined;
    get h4(): string | undefined;
    get h5(): string | undefined;
    get h6(): string | undefined;
}
declare class Page {
    flow: Region;
    footer: HTMLElement;
    background: HTMLElement;
    element: HTMLElement;
    runningHeader?: HTMLElement;
    side?: string;
    number?: number;
    heading: HierarchyToHeadingAdapter;
    hierarchy: HierarchyEntry[];
    suppress: boolean;
    hasOutOfFlowContent: boolean;
    alwaysLeft: boolean;
    alwaysRight: boolean;
    isOutOfFlow: boolean;
    avoidReorder: boolean;
    constructor();
    static isSizeValid(): any;
    setLeftRight(dir: string): void;
    get isLeft(): boolean;
    get isRight(): boolean;
    setPreference(dir: 'left' | 'right'): void;
    get suppressErrors(): boolean;
    set suppressErrors(newVal: boolean);
    get isEmpty(): boolean;
    validate(): void;
    validateEnd(allowOverflow: boolean): void;
    hasOverflowed(): any;
}
export default Page;
