import { ViewerMode, SheetLayout, SheetSize, SheetMarks } from '../constants';
interface ControlsState {
    paper: SheetSize;
    marks: SheetMarks;
    mode: ViewerMode;
    layout: SheetLayout;
    pageSize: {
        width: string;
        height: string;
    };
}
interface ControlsActions {
    setMode: (newVal: ViewerMode) => void;
    setLayout: (newVal: SheetLayout) => void;
    setPaper: (newVal: SheetSize) => void;
    setMarks: (newVal: SheetMarks) => void;
}
declare class Controls {
    element: HTMLElement;
    update(state: ControlsState, actions: ControlsActions): void;
    render(state: ControlsState, actions: ControlsActions): HTMLDivElement;
}
export default Controls;
