import { Rule } from '../rules/Rule';
import { Book, Page } from '../book';
import { RegionGetter } from 'regionize/dist/types/types';
import { PageMaker } from '../types';
interface PageRule extends Rule {
    eachPage: (pg: Page, book: Book) => void;
}
interface BeforeAddRule extends Rule {
    selector: string;
    beforeAdd: (...args: any) => HTMLElement;
}
interface AfterAddRule extends Rule {
    selector: string;
    afterAdd: (...args: any) => HTMLElement;
}
interface DidSplitRule extends Rule {
    didSplit: (a: HTMLElement, b: HTMLElement) => void;
}
declare class RuleSet {
    pageNumberOffset: number;
    pageRules: PageRule[];
    beforeAddRules: BeforeAddRule[];
    afterAddRules: AfterAddRule[];
    didSplitRules: DidSplitRule[];
    selectorsNotToSplit: string[];
    shouldTraverse: (el: HTMLElement) => boolean;
    constructor(rules: Rule[]);
    applySplitRules(original: HTMLElement, clone: HTMLElement): void;
    applyPageDoneRules(pg: Page, book: Book): void;
    finishEveryPage(book: Book): void;
    applyBeforeAddRules(element: HTMLElement, book: Book, continueOnNewPage: RegionGetter, makeNewPage: PageMaker): HTMLElement;
    applyAfterAddRules(originalElement: HTMLElement, book: Book, continueOnNewPage: RegionGetter, makeNewPage: PageMaker): HTMLElement;
}
export default RuleSet;
