import { SheetSize, SheetLayout } from '../constants';
interface PageSetupOptions {
    size?: any;
    margin?: any;
}
interface PrintSetupOptions {
    paper?: SheetSize;
    bleed?: string;
    layout?: SheetLayout;
}
declare class PageSetup {
    size: any;
    margin: any;
    paper: SheetSize;
    bleed: string;
    printTwoUp: boolean;
    markLength: string;
    constructor(opts?: PageSetupOptions, printOpts?: PrintSetupOptions);
    get displaySize(): {
        width: string;
        height: string;
        bleed: string;
    };
    get sheetSize(): {
        width: string;
        height: string;
    };
    get spreadSize(): {
        width: string;
        height: string;
    };
    updateStyleVars(): void;
}
export default PageSetup;
