import Replace from './Replace';
import { Book, Page } from '../book';
import { RuleOptions } from './Rule';
declare type TestFunction = (el: HTMLElement) => boolean;
interface PageReferenceInstance {
    value: any;
    element: HTMLElement;
    template: HTMLElement;
    test: TestFunction;
}
declare class PageReference extends Replace {
    references: PageReferenceInstance[];
    throttledUpdate: (book: Book) => void;
    constructor(options: RuleOptions);
    eachPage(page: Page, book: Book): void;
    afterAdd(elmt: HTMLElement, book: Book): HTMLElement;
    createReference(book: Book, test: TestFunction, elmt: HTMLElement): PageReferenceInstance;
    render(ref: PageReferenceInstance, newValue: number[]): void;
    createTest(element: HTMLElement): TestFunction | null;
    updatePageReferences(pages: Page[]): void;
    replace(template: HTMLElement, number: string): HTMLElement;
}
export default PageReference;
