import { Page, Book } from '../book';
import Controls from '../controls';
import { ViewerMode, SheetMarks, SheetSize, SheetLayout } from '../constants';
import PageSetup from '../page-setup';
interface ViewerOptions {
    pageSetup: PageSetup;
    mode: ViewerMode;
    layout: SheetLayout;
    marks: SheetMarks;
}
declare class Viewer {
    book?: Book;
    pageSetup: PageSetup;
    progressBar: HTMLElement;
    content: HTMLElement;
    scaler: HTMLElement;
    element: HTMLElement;
    error?: HTMLElement;
    isDoubleSided: boolean;
    sheetLayout: SheetLayout;
    marks: SheetMarks;
    mode: ViewerMode;
    currentLeaf: number;
    controls: Controls;
    lastSpreadInProgress: any;
    hasRendered: boolean;
    constructor({ pageSetup, mode, layout, marks }: ViewerOptions);
    updateControls(): void;
    setMode(newMode: ViewerMode): void;
    get isInProgress(): boolean;
    setInProgress(newVal: boolean): void;
    get isTwoUp(): boolean;
    setShowingCropMarks(newVal: boolean): void;
    setShowingBleedMarks(newVal: boolean): void;
    setShowingBleed(newVal: boolean): void;
    get isViewing(): boolean;
    set isViewing(newVal: boolean);
    setSheetSize(newVal: SheetSize): void;
    setLayout(newVal: SheetLayout): void;
    setMarks(newVal: SheetMarks): void;
    displayError(title: string, text: string): void;
    clear(): void;
    show(): void;
    hide(): void;
    render(newBook?: Book): void;
    renderFunctionFor(mode: ViewerMode): (bookPages: Page[], _doubleSided: boolean, layout: SheetLayout) => DocumentFragment;
    setProgressAmount(newVal: number): void;
    updateProgress(book: Book, estimatedProgress: number): void;
    renderProgress(book: Book, estimatedProgress: number): void;
    scaleToFit(): void;
    get scaleThatFits(): number;
}
export default Viewer;
